package cl.jtv;

/*
 * ComandoMFW.java
 *
 * Created on 20 de febrero de 2003, 06:27 PM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoMFW extends Comando {
    
    private Maquina insertedMachine;
    /** Creates new ComandoMFW */
    public ComandoMFW(Object newArtefacto,Vector2 newVector2,Maquina newInsertedMachine) {
        super(newArtefacto,newVector2);
        insertedMachine = newInsertedMachine;
    }

    public void doIt() {
        Maquina maquina = (Maquina)artefacto;
        insertedMachine.moveForward(maquina.getDelta());        
    }
    
}
